YelpView

## YelpView YelpView |

## Synopsis

                        YelpView;
                        YelpViewClass;
    gboolean            (*YelpViewActionValidFunc)          (YelpView *view,
                                                             GtkAction *action,
                                                             gchar *uri,
                                                             gpointer data);
    enum                YelpViewState;
    GType               yelp_view_state_get_type            (void);
    GtkWidget *         yelp_view_new                       (void);
    void                yelp_view_load                      (YelpView *view,
                                                             const gchar *uri);
    void                yelp_view_load_uri                  (YelpView *view,
                                                             YelpUri *uri);
    void                yelp_view_load_document             (YelpView *view,
                                                             YelpUri *uri,
                                                             YelpDocument *document);
    YelpDocument *      yelp_view_get_document              (YelpView *view);
    GtkActionGroup *    yelp_view_get_action_group          (YelpView *view);
    void                yelp_view_add_link_action           (YelpView *view,
                                                             GtkAction *action,
                                                             YelpViewActionValidFunc func,
                                                             gpointer data);
    YelpUri *           yelp_view_get_active_link_uri       (YelpView *view);
    gchar *             yelp_view_get_active_link_text      (YelpView *view);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkWidget
                   +----GtkContainer
                         +----WebKitWebView
                               +----YelpView

## Implemented Interfaces

YelpView implements AtkImplementorIface, GtkBuildable and GtkScrollable.

## Properties

      "page-desc"                gchar*                : Read
      "page-icon"                gchar*                : Read
      "page-id"                  gchar*                : Read
      "page-title"               gchar*                : Read
      "root-title"               gchar*                : Read
      "state"                    YelpViewState         : Read / Write
      "yelp-uri"                 YelpUri*              : Read / Write

## Signals

      "external-uri"                                   : Run Last
      "loaded"                                         : Run Last
      "new-view-requested"                             : Run Last

## Description

## Details

### YelpView

    typedef struct _YelpView YelpView;

### YelpViewClass

    typedef struct {
        WebKitWebViewClass  parent_class;

        gboolean    (* external_uri)            (YelpView    *view,
                                                 YelpUri     *uri);
    } YelpViewClass;

### YelpViewActionValidFunc ()

    gboolean            (*YelpViewActionValidFunc)          (YelpView *view,
                                                             GtkAction *action,
                                                             gchar *uri,
                                                             gpointer data);

### enum YelpViewState

    typedef enum {
        YELP_VIEW_STATE_BLANK,
        YELP_VIEW_STATE_LOADING,
        YELP_VIEW_STATE_LOADED,
        YELP_VIEW_STATE_ERROR
    } YelpViewState;

### yelp_view_state_get_type ()

    GType               yelp_view_state_get_type            (void);

### yelp_view_new ()

    GtkWidget *         yelp_view_new                       (void);

### yelp_view_load ()

    void                yelp_view_load                      (YelpView *view,
                                                             const gchar *uri);

### yelp_view_load_uri ()

    void                yelp_view_load_uri                  (YelpView *view,
                                                             YelpUri *uri);

### yelp_view_load_document ()

    void                yelp_view_load_document             (YelpView *view,
                                                             YelpUri *uri,
                                                             YelpDocument *document);

### yelp_view_get_document ()

    YelpDocument *      yelp_view_get_document              (YelpView *view);

### yelp_view_get_action_group ()

    GtkActionGroup *    yelp_view_get_action_group          (YelpView *view);

### yelp_view_add_link_action ()

    void                yelp_view_add_link_action           (YelpView *view,
                                                             GtkAction *action,
                                                             YelpViewActionValidFunc func,
                                                             gpointer data);

### yelp_view_get_active_link_uri ()

    YelpUri *           yelp_view_get_active_link_uri       (YelpView *view);

### yelp_view_get_active_link_text ()

    gchar *             yelp_view_get_active_link_text      (YelpView *view);

## Property Details

### The `"page-desc"` property

      "page-desc"                gchar*                : Read

The description of the page being viewed.

Default value: NULL

### The `"page-icon"` property

      "page-icon"                gchar*                : Read

The icon of the page being viewed.

Default value: NULL

### The `"page-id"` property

      "page-id"                  gchar*                : Read

The ID of the root page of the page being viewed.

Default value: NULL

### The `"page-title"` property

      "page-title"               gchar*                : Read

The title of the page being viewed.

Default value: NULL

### The `"root-title"` property

      "root-title"               gchar*                : Read

The title of the root page of the page being viewed.

Default value: NULL

### The `"state"` property

      "state"                    YelpViewState         : Read / Write

The loading state of the view.

Default value: YELP_VIEW_STATE_BLANK

### The `"yelp-uri"` property

      "yelp-uri"                 YelpUri*              : Read / Write

A YelpUri with the current location.

## Signal Details

### The `"external-uri"` signal

    gboolean            user_function                      (YelpView *yelpview,
                                                            YelpUri  *arg1,
                                                            gpointer  user_data)      : Run Last

### The `"loaded"` signal

    void                user_function                      (YelpView *yelpview,
                                                            gpointer  user_data)      : Run Last

### The `"new-view-requested"` signal

    void                user_function                      (YelpView *yelpview,
                                                            YelpUri  *arg1,
                                                            gpointer  user_data)      : Run Last